Skip to main content
GET
/
v1
/
income-statement
Income Statement
curl --request GET \
  --url https://api.chicago.global/v1/income-statement \
  --header 'Authorization: Bearer <token>'
[
  {
    "ric": "<string>",
    "perenddt": "2023-12-25",
    "stmtdt": "2023-12-25",
    "sourcedt": "2023-12-25",
    "pertypecode": 123,
    "currency": "<string>",
    "unitsconvtocode": "<string>",
    "revenue": 123,
    "total_revenue": 123,
    "cost_of_revenue_total": 123,
    "gross_profit": 123,
    "sga_expenses_total": 123,
    "research_development": 123,
    "total_operating_expense": 123,
    "operating_income": 123,
    "net_income_before_taxes": 123,
    "provision_for_income_taxes": 123,
    "net_income": 123,
    "basic_weighted_average_shares": 123,
    "basic_eps_excluding_extraordinary_items": 123,
    "basic_eps_including_extraordinary_items": 123
  }
]
Retrieve income statement data for a given stock symbol. Returns line items from revenue through to EPS, sourced from LSEG Datastream.

Query Parameters

ParameterTypeRequiredDefaultDescription
symbolstringYes—Stock symbol (e.g., AAPL.O, 0700.HK). Ticker shorthand like AAPL is also accepted and will be resolved automatically.
limitintegerNo4Number of periods to return
freqintegerNo11 for Annual, 2 for Quarterly

Response

Returns an array of period objects, each containing the full income statement breakdown:
[
  {
    "ric": "AAPL.O",
    "perenddt": "2025-09-27",
    "stmtdt": "2025-09-27",
    "sourcedt": "2025-10-31",
    "pertypecode": 1,
    "currency": "USD",
    "unitsconvtocode": "M",
    "revenue": 416161000000,
    "other_revenue_total": null,
    "total_revenue": 416161000000,
    "cost_of_revenue_total": 220960000000,
    "gross_profit": 195201000000,
    "sga_expenses_total": 27601000000,
    "research_development": 34550000000,
    "depreciation_amortization": null,
    "interest_expense_net_operating": null,
    "interest_investment_income_operating": null,
    "interest_expense_income_net_operating": null,
    "interest_exp_inc_net_operating_total": null,
    "unusual_expense_income": null,
    "other_operating_expenses_total": null,
    "total_operating_expense": 283111000000,
    "operating_income": 133050000000,
    "interest_expense_net_non_operating": null,
    "interest_investment_income_non_operating": null,
    "interest_income_exp_net_non_operating": null,
    "interest_inc_exp_net_non_op_total": null,
    "gain_loss_on_sale_of_assets": null,
    "other_net": -321000000,
    "net_income_before_taxes": 132729000000,
    "provision_for_income_taxes": 21205000000,
    "net_income_after_taxes": 111524000000,
    "minority_interest": null,
    "equity_in_affiliates": null,
    "us_gaap_adjustment": null,
    "net_income_before_extra_items": 111524000000,
    "accounting_change": null,
    "discontinued_operations": null,
    "extraordinary_item": 486000000,
    "tax_on_extraordinary_items": null,
    "total_extraordinary_items": 486000000,
    "net_income": 112010000000,
    "basic_weighted_average_shares": 14948500000,
    "basic_eps_excluding_extraordinary_items": 7.46055,
    "basic_eps_including_extraordinary_items": 7.49306
  }
]
All monetary values are in the company’s reporting currency. The currency field indicates which currency. Fields with null values are not applicable for the given company.

Key Fields

FieldDescription
perenddtPeriod end date
pertypecode1 for Annual, 2 for Quarterly
unitsconvtocodeUnit scale (e.g., M for millions)
revenueNet sales / revenue
gross_profitRevenue minus cost of revenue
total_operating_expenseTotal operating costs
operating_incomeGross profit minus operating expenses
net_income_before_taxesPre-tax earnings
net_incomeBottom line earnings
basic_eps_excluding_extraordinary_itemsEarnings per share (excluding extraordinary items)
basic_eps_including_extraordinary_itemsEarnings per share (including extraordinary items)

Example

curl "https://api.chicago.global/v1/income-statement?symbol=AAPL.O&limit=4&freq=1" \
  -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
  'https://api.chicago.global/v1/income-statement?symbol=AAPL.O&limit=4&freq=1',
  { headers: { 'Authorization': `Bearer ${API_KEY}` } }
);

const periods = await response.json();
console.log(`Revenue: ${periods[0].revenue}`);
console.log(`Net Income: ${periods[0].net_income}`);

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

symbol
string
required

Stock symbol (e.g., AAPL.O, 0700.HK). Ticker shorthand like AAPL is also accepted.

limit
integer
default:4

Number of periods to return

freq
enum<integer>
default:1

1 for Annual, 2 for Quarterly

Available options:
1,
2

Response

Income statement data retrieved successfully

ric
string

Reuters Instrument Code

perenddt
string<date>

Period end date

stmtdt
string<date>
sourcedt
string<date>
pertypecode
integer

1 for Annual, 2 for Quarterly

currency
string

Reporting currency

unitsconvtocode
string

Unit scale (e.g., M for millions)

revenue
number | null

Net sales / revenue

total_revenue
number | null

Total revenue

cost_of_revenue_total
number | null
gross_profit
number | null

Revenue minus cost of revenue

sga_expenses_total
number | null

SG&A expenses

research_development
number | null

R&D expenses

total_operating_expense
number | null

Total operating costs

operating_income
number | null

Operating income

net_income_before_taxes
number | null

Pre-tax earnings

provision_for_income_taxes
number | null
net_income
number | null

Bottom line earnings

basic_weighted_average_shares
number | null
basic_eps_excluding_extraordinary_items
number | null

EPS excluding extraordinary items

basic_eps_including_extraordinary_items
number | null

EPS including extraordinary items